This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 497140 - Review Request: php-IDNA_Convert - Internationalized domain name to UTF-8 converter
Review Request: php-IDNA_Convert - Internationalized domain name to UTF-8 con...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-22 09:51 EDT by David Nalley
Modified: 2009-06-17 09:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-17 09:36:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
susi.lehtola: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David Nalley 2009-04-22 09:51:28 EDT
Spec URL: http://ke4qqq.fedorapeople.org/php-IDNA_Convert.spec
SRPM URL: http://ke4qqq.fedorapeople.org/php-IDNA_Convert-0.6.3-1.fc10.src.rpm
Description: This converter allows you to transfer domain names between the encoded (Punycode) notation and the decoded (UTF-8) notation.


rpmlint output:
[ke4qqq@nalleyt61 SPECS]$ rpmlint ../RPMS/noarch/php-IDNA_Convert-0.6.3-1.fc10.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyt61 SPECS]$ rpmlint ../SRPMS/php-IDNA_Convert-0.6.3-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@nalleyt61 SPECS]$ rpmlint ./php-IDNA_Convert.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
Comment 1 Susi Lehtola 2009-04-22 15:44:20 EDT
- Does the package work with php4? Maybe a version could be added to Requires: php >=5.


rpmlint output is clean.

MUST: The package does not yet exist in Fedora. The Review Request is not a duplicate. OK
MUST: The spec file for the package is legible and macros are used consistently. OK

MUST: The package must be named according to the Package Naming Guidelines. OK
- No PECL, PEAR or CHANNEL; package belongs to category "other php", so name is correct.

MUST: The spec file name must match the base package %{name}. OK
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines. NEEDSFIX
- According to idna_convert.class.php license is LGPLv2+ not LGPLv2. Other php files do not contain any license specifications.

MUST: The License field in the package spec file must match the actual license. OK
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. OK
MUST: Optflags are used and time stamps preserved. OK
MUST: A package must own all directories that it creates or require the package that owns the directory. OK
MUST: Files only listed once in %files listings. OK
MUST: Permissions on files must be set properly. OK
MUST: Clean section exists. OK
MUST: Large documentation files must go in a -doc subpackage. OK
MUST: All relevant items are included in %doc. Items in %doc do not affect runtime of application. OK
MUST: No file conflicts with other packages and no general names. OK
MUST: Buildroot cleaned before install. OK
SHOULD: %{?dist} tag is used in release. OK
SHOULD: If the package does not include license text(s) as separate files from upstream, the packager should query upstream to include it. OK
SHOULD: The package builds in mock. OK
Comment 2 David Nalley 2009-04-22 17:21:45 EDT
(In reply to comment #1)
> - Does the package work with php4? Maybe a version could be added to Requires:
> php >=5.

This does work with php 4.3 and later per the internal comments. I'll be happy to add the requires with a version though since for current version of Fedora php5 is the only option.



> MUST: The package must be licensed with a Fedora approved license and meet the 
> Licensing Guidelines. NEEDSFIX
> - According to idna_convert.class.php license is LGPLv2+ not LGPLv2. Other php
> files do not contain any license specifications.

The 'LICENCE' file included with the software distribution is LGPLv2, and given the lack of licensing for the rest of the .php files this leads me to believe that these are LGPLv2 and that thusly the package should be LGPLv2 instead of LGPLv2+. I am open to correction on this point, though, but this is my understanding.
Comment 3 Susi Lehtola 2009-04-23 02:05:53 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > - Does the package work with php4? Maybe a version could be added to Requires:
> > php >=5.
> 
> This does work with php 4.3 and later per the internal comments. I'll be happy
> to add the requires with a version though since for current version of Fedora
> php5 is the only option.

Okay, then it's no problem.

> > MUST: The package must be licensed with a Fedora approved license and meet the 
> > Licensing Guidelines. NEEDSFIX
> > - According to idna_convert.class.php license is LGPLv2+ not LGPLv2. Other php
> > files do not contain any license specifications.
> 
> The 'LICENCE' file included with the software distribution is LGPLv2, and given
> the lack of licensing for the rest of the .php files this leads me to believe
> that these are LGPLv2 and that thusly the package should be LGPLv2 instead of
> LGPLv2+. I am open to correction on this point, though, but this is my
> understanding.  

See 
https://fedoraproject.org/wiki/Licensing/FAQ#How_do_I_figure_out_what_version_of_the_GPL.2FLGPL_my_package_is_under.3F

I think it has been mentioned also somewhere more visible in the guidelines, but I didn't find it in a couple of minutes.
Comment 4 David Nalley 2009-04-23 06:17:27 EDT
Thanks for the clarification, please find corrected spec and srpm: 
Spec URL: http://ke4qqq.fedorapeople.org/php-IDNA_Convert.spec
SRPM URL: http://ke4qqq.fedorapeople.org/php-IDNA_Convert-0.6.3-2.fc10.src.rpm
Comment 5 LukasHetzi 2009-05-03 16:12:51 EDT
rpmlint output: 2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Package naming and spec file name is correct.
License is correct.
Spec file is legible, but doesn't consistently use macros (see below)
Package is correct.

- Do not mix $RPM_BUILD_ROOT and %{buildroot}
- You could copy all php files in one line
Comment 6 Susi Lehtola 2009-05-03 16:43:05 EDT
Oh, this has been left hanging, sorry.

Lukas is right: you are mixing macros which is not allowed. Choose either $RPM_BUILD_ROOT or %{buildroot} and stick with it, don't mix the two.

Also, I don't like to see macros used for standard unix commands, but this is maybe more a matter of style. I think it just makes the spec file harder to read.

I'll trust you to fix the macro issue upon import to CVS. The package has been

APPROVED
Comment 7 David Nalley 2009-05-07 19:14:00 EDT
New Package CVS Request
=======================
Package Name: php-IDNA_Convert
Short Description: Internationalied domain name to UTF-8 converter
Owners: ke4qqq
Branches: F-9 F-10 F-11 EL-5
InitialCC:
Comment 8 Kevin Fenzi 2009-05-09 16:55:02 EDT
cvs done.
Comment 9 Susi Lehtola 2009-05-15 12:08:51 EDT
Push the update to F-9 and F-10 and close this bug.
Comment 10 Susi Lehtola 2009-06-08 14:59:32 EDT
ping David
Comment 11 David Nalley 2009-06-17 09:36:42 EDT
This has been pushed to stable - apparently forgot to note the bug number in bodhi - apologized for letting it fall through the cracks.

Note You need to log in before you can comment on or make changes to this bug.